Draft Trimex/pl: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 27: Line 27:


[[Image:Draft trimex example.jpg|400px]]
[[Image:Draft trimex example.jpg|400px]]
{{Caption|Wyżej: Przedłużony odcinek linii, następnie przycięty odcinek linii. Niżej: Powierzchnia wyciągnięta w bryłę}}
<div class="mw-translate-fuzzy">
{{Caption|Przedłużony odcinek linii, następnie przycięty odcinek linii. Powierzchnia wyciągnięta w bryłę}}
</div>


==Przytnij lub rozszerz==
==Przytnij lub rozszerz==

Revision as of 15:44, 17 June 2021

Rysunek Roboczy: Przytnij

Lokalizacja w menu
Modyfkacja → Przytnij
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
T R
Wprowadzono w wersji
-
Zobacz także
Part: Wyciągnij

Opis

Narzędzie Przytnij przycina lub wydłuża Linie i Polilinie tak, że ich koniec znajduje się na przecięciu z inną linią lub krawędzią.


Polecenie Przytnij przycina lub rozszerza wybrany obiekt. Przecięcia z krawędzią innego obiektu mogą być użyte do określenia nowych punktów końcowych. Polecenie może być również użyte do wyciągnięcia ściany, w którym to przypadku tworzy obiekt wyciągnięcia.

Wyżej: Przedłużony odcinek linii, następnie przycięty odcinek linii. Niżej: Powierzchnia wyciągnięta w bryłę

Przytnij lub rozszerz

Użycie

  1. Wybierz linię, którą chcesz przyciąć lub wydłużyć, lub wybierz ścianę, którą chcesz wyciągnąć.
  2. Wciśnij przycisk lub naciśnij klawisze T i R.
  3. Kliknij pozycję punktu w oknie widoku 3D, lub wprowadź odległość i naciśnij klawisz Enter.

Options

The modifier keys mentioned here can be changed. See Draft Preferences.

  • The solution with the largest length determines the default direction of the command. Hold Alt to invert this direction.
  • Hold Shift to restrict the operation to the current segment of a Draft Wire.

Here is an example to explain the modifier keys. The left edge or the bottom edge of the U-shaped wire was extended. All Draft Snaps were turned off.

  • Wciśnij klawisze X, Y lub Z, aby zablokować punkt na danej osi.
  • Przytrzymaj klawisz Shift, aby ograniczyć operację do bieżącego odcinka i nie wybierać innego.
    • W przypadku trybu wyciągnięcia, przytrzymaj klawisz Shift, aby wyciąć ścianę w kierunku, który nie jest kierunkiem normalnym.
  • Przytrzymaj klawisz Alt podczas przycinania, by odwrócić kierunek operacji, to znaczy, że drugi koniec odcinka zostanie ucięty.

Wyciągnij

Usage

See also: Draft Snap and Draft Constrain.

  1. It can be helpful to first change the Draft working plane so that it is not coplanar with the face you want to extrude.
  2. Optionally select a single face or an object with a single face.
  3. There are several ways to invoke the command:
    • Press the Draft Trimex button.
    • Select the Modification → Trimex option from the menu.
    • Use the keyboard shortcut: T then R.
  4. If you have not yet selected an object or a face: select an object with a single face in the 3D view.
  5. The Trimex task panel opens. See Options for more information.
  6. To define the extrusion direction and distance do one of the following:
    • Pick a point in the 3D view that does no lie on the same plane as the face.
    • Make sure the pointer is on the correct side of the face in the 3D view and enter a Distance.

Options

The modifier key mentioned here can be changed. See Draft Preferences.

  • Hold Shift to extrude in a direction that is not parallel to the normal of the face.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of the distance: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Tworzenie skryptów

Dla narzędzia Przytnij nie ma dostępnego interfejsu programistycznego. Zobacz narzędzie Część: Wyciągnij do wyciągania powierzchni i innych kształtów.

extrusion = extrude(obj, vector, solid=False)
  • obj is the object to be extruded.
  • vector is the extrusion direction and distance.
  • If solid is True a solid is created instead of a shell.
  • extrusion is returned with the created object.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(1500, 500)
doc.recompute()

vector = App.Vector(0, 0, 300)
solid = Draft.extrude(rectangle, vector, solid=True)
doc.recompute()